return Def.ActorFrame {
	InitCommand=cmd(rotationz,90;rotationy,90);
	
	Def.Banner {
		InitCommand=cmd(scaletoclipped,390,194;cropright,0.1666;cropleft,0.1666);
		SetMessageCommand=function(self,params)
			if not params.Song then
				self:LoadFromCourse(params.Course);
			else
				self:LoadFromSong(params.Song);
			end;
		end;
	};
	
	Def.ActorFrame {
		SetMessageCommand=function(self,params)
		self:visible(not params.Course and (getenv("TimeLabels") or params.Song:IsLong() or params.Song:IsMarathon()));
		end;
		
		Def.Quad {
			InitCommand=cmd(zoomto,260,118);
			SetMessageCommand=function(self,params)
				--if params.Song:IsLong() or params.Song:IsMarathon() then
					self:diffuse(SONGMAN:GetSongColor(params.Song));
				--else
					--self:diffuse(Daycolors[Weekday()+1]);
				--end
				self:diffusealpha(0.7);
			end;
		};
		
		Def.Quad {
			InitCommand=cmd(y,-59;zoomto,260,5;diffuse,0,0,0,1);
		};
		
		Def.Quad {
			InitCommand=cmd(y,59;zoomto,260,5;diffuse,0,0,0,1);
		};
		
		LoadFont("Time Labels")..{
			InitCommand=cmd(shadowlength,0;maxwidth,250);
			SetMessageCommand=function(self,params)
				local stime = params.Song:MusicLengthSeconds()
				stime = SecondsToMSSMsMs(stime)
				stime = string.sub(stime,0,-4)
				self:settext(stime.."s");
			end;
		};
		
		LoadFont("ArialOutline")..{
			InitCommand=cmd(shadowlength,0;y,-3;vertspacing,128);
			SetMessageCommand=function(self,params)
				local text = ""
				if params.Song:IsLong() then
					text = "Long Version\nRequires 2 stages"
				elseif params.Song:IsMarathon() then
					text = "Marathon\nRequires 3 stages"
				end
				self:settext(text)
			end;
		}
	};
	
	Def.ActorFrame {
		SetMessageCommand=function(self,params)
			self:visible(not params.Song)
		end;
		
		--[[Def.Quad {
			InitCommand=cmd(zoomto,260,190;diffuse,1,1,1,0.1)
		};]]
		
		LoadFont("piusysfont")..{
			InitCommand=cmd(x,116;y,-85;wrapwidthpixels,200;vertalign,top;horizalign,right;diffuse,1,1,1,1;shadowlength,2;zoom,1.25);
			SetMessageCommand=function(self,params)
				local NumStages = params.Course:GetEstimatedNumStages()
				local CourseName = params.Course:GetDisplayFullTitle()
				self:settext(NumStages.." stages\n"..CourseName)
			end;
		};
	};
	
	LoadActor("BOX1_2");
}

--[[
code Daisuke Master (c)

Términos de uso:
1.- Eres libre de usar todo o parte de éste código, sólamente dame crédito o incluye este bracket de comments en el luafile
2.-No permito que se use para fines comerciales
3.-Si quieres usar el código para fin comercial
	a). Contáctame por X o Y medio pero que sea directo de preferencia
		(messenger, phone si se puede (aver donde lo consigues xD))
	b). Móchate una feriecita xD no seas gacho
]]